# Check User Existence POST /api/v1/iam/check-user-existence/ Content-Type: application/json Checks if a username is available for registration. If the user is authenticated and checking their own username, it will return available=True since they can use their own username. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/iam/check-user-existence-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/iam/check-user-existence/: post: operationId: check-user-existence-create summary: Check User Existence description: >- Checks if a username is available for registration. If the user is authenticated and checking their own username, it will return available=True since they can use their own username. tags: - subpackage_iam responses: '200': description: Username availability status content: application/json: schema: description: Any type requestBody: content: application/json: schema: type: object properties: username: type: string description: The username to check ``` ## SDK Code Examples ```python Username Available import requests url = "https://api.example.com/api/v1/iam/check-user-existence/" payload = { "username": "johndoe123" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Username Available const url = 'https://api.example.com/api/v1/iam/check-user-existence/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"username":"johndoe123"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Username Available package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/iam/check-user-existence/" payload := strings.NewReader("{\n \"username\": \"johndoe123\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Username Available require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/iam/check-user-existence/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"username\": \"johndoe123\"\n}" response = http.request(request) puts response.read_body ``` ```java Username Available import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/iam/check-user-existence/") .header("Content-Type", "application/json") .body("{\n \"username\": \"johndoe123\"\n}") .asString(); ``` ```php Username Available request('POST', 'https://api.example.com/api/v1/iam/check-user-existence/', [ 'body' => '{ "username": "johndoe123" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Username Available using RestSharp; var client = new RestClient("https://api.example.com/api/v1/iam/check-user-existence/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"username\": \"johndoe123\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Username Available import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["username": "johndoe123"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/iam/check-user-existence/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python Username Taken import requests url = "https://api.example.com/api/v1/iam/check-user-existence/" payload = { "username": "johndoe123" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Username Taken const url = 'https://api.example.com/api/v1/iam/check-user-existence/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"username":"johndoe123"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Username Taken package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/iam/check-user-existence/" payload := strings.NewReader("{\n \"username\": \"johndoe123\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Username Taken require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/iam/check-user-existence/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"username\": \"johndoe123\"\n}" response = http.request(request) puts response.read_body ``` ```java Username Taken import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/iam/check-user-existence/") .header("Content-Type", "application/json") .body("{\n \"username\": \"johndoe123\"\n}") .asString(); ``` ```php Username Taken request('POST', 'https://api.example.com/api/v1/iam/check-user-existence/', [ 'body' => '{ "username": "johndoe123" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Username Taken using RestSharp; var client = new RestClient("https://api.example.com/api/v1/iam/check-user-existence/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"username\": \"johndoe123\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Username Taken import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["username": "johndoe123"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/iam/check-user-existence/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```